%define pypi_name pinax-notifications

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 2
Summary:        User notification management for the Django web framework
Group:          Development/Python
License:        MIT
URL:            https://github.com/pinax/pinax-notifications/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%package -n python3-%{pypi_name}
Summary:        User notification management for the Django web framework
Group:          Development/Python
Requires:       python3-django
Obsoletes:      python-django-notification < 5.0.3
Obsoletes:      python3-django-notification < 5.0.3

%description -n python3-%{pypi_name}
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%prep
%setup -q -n %{pypi_name}-%{version}

# remove bundled egg-info
rm -rf pinax_notifications.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS README*
%license LICENSE
%{python3_sitelib}/pinax/
%{python3_sitelib}/pinax_notifications-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 6.0.0-2.mga9
+ Revision: 1823467
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 6.0.0-1.mga9
+ Revision: 1783349
- version 6.0.0
- rebuild python-3.10

* Sat Jun 26 2021 wally <wally> 5.0.3-5.mga9
+ Revision: 1732844
- Rebuild for python 3.9

* Sat Feb 29 2020 daviddavid <daviddavid> 5.0.3-4.mga8
+ Revision: 1552305
- obsolete also python3-django-notification

* Sun Feb 16 2020 umeabot <umeabot> 5.0.3-3.mga8
+ Revision: 1535882
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 5.0.3-2.mga8
+ Revision: 1452945
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 5.0.3-1.mga8
+ Revision: 1430971
- rename as python-pinax-notifications
- new version 5.0.3
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.3.3-5.mga7
+ Revision: 1355181
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.3-4.mga7
+ Revision: 1288693
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3.3-3.mga7
+ Revision: 1135384
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 971237
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 1.3.3-1.mga6
+ Revision: 890047
- update to 1.3.3, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.2-8.mga5
+ Revision: 744796
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2-7.mga5
+ Revision: 728287
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2-6.mga5
+ Revision: 687984
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2-4.mga4
+ Revision: 543362
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2-3.mga4
+ Revision: 498374
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 378684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.2-1.mga3
+ Revision: 334311
- Update to 0.2

* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 42383
- imported package python-django-notification

